org.eclipse.viatra.addon.validation.core

## Class Entry

- java.lang.Object
- - org.eclipse.viatra.addon.validation.core.Entry

- All Implemented Interfaces:
    IEntry

      public class Entry
      extends java.lang.Object
      implements IEntry

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Entry(Violation violation, IPatternMatch match)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IPatternMatch` | `getMatch()`
    `java.lang.Object` | `getValue(java.lang.String propertyName)` Returns the value of a property with the given name.
    `java.util.List<java.lang.Object>` | `getValues()` Returns a List of all property values of the entry.
    `protected void` | `setMatch(IPatternMatch match)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Entry

          protected Entry(Violation violation,
                          IPatternMatch match)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue(java.lang.String propertyName)

      Description copied from interface: `IEntry`
      Returns the value of a property with the given name.
      Specified by:
        `getValue` in interface `IEntry`
      Parameters:
        `propertyName` - The requested property's name.
      Returns:
        The property value or `null` if there is no such property.

    - #### getValues

          public java.util.List<java.lang.Object> getValues()

      Description copied from interface: `IEntry`
      Returns a List of all property values of the entry.
      Specified by:
        `getValues` in interface `IEntry`
      Returns:
        The List of the property values.

    - #### getMatch

          protected IPatternMatch getMatch()

    - #### setMatch

          protected void setMatch(IPatternMatch match)